Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597794 - fileno (NULL) segfaults instead of return -1 and set errno to EBADF
Summary: fileno (NULL) segfaults instead of return -1 and set errno to EBADF
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.0
Hardware: All
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 597793
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 14:36 UTC by Jan F. Chadima
Modified: 2016-11-24 15:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 597793
Environment:
Last Closed: 2010-05-31 08:32:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan F. Chadima 2010-05-30 14:36:27 UTC
+++ This bug was initially created as a clone of Bug #597793 +++

Description of problem:
the function fileno crash the program, if called with NULL parameter
according to the documentation it should return -1 and set errno

Version-Release number of selected component (if applicable):
glibc-2.12.90-1.i686

How reproducible:
alvays

Steps to Reproduce:
compille and run:
#include <stdio.h>

int
main()
{
printf ("%d\n", fileno (NULL));
}
  
Actual results:
SIGSEGV

Expected results:
-1

Comment 2 Andreas Schwab 2010-05-31 08:32:38 UTC
NULL is not a pointer to a stream.


Note You need to log in before you can comment on or make changes to this bug.